Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.process
Class AbstractExecQueue

    java.lang.Object
      com.ejie.r01f.process.AbstractExecQueue

Direct Known Subclasses:
  TestExecQueue

public abstract class AbstractExecQueue
extends java.lang.Object

Clase que implementa una cola con eventos. La cola tiene dos valores de threshold: - Numero de elementos en la cola sin que esta se empiece a vaciar - Numero de elementos en la cola para el cual esta empieza a vaciarse Esto significa que se van introduciendo elementos en la cola hasta que se llega a el valor máximo definido (limite superior). En este momento, empieza el proceso de vaciado que continúa hasta que se alcanza el limite inferior

Version:
Author:
  IE00165H

Constructor Summary
`AbstractExecQueue()` Creates new ExecQueue
`AbstractExecQueue(int limInf, int limSup)`

Method Summary
`void` | `clear()` Elimina todos los elementos de la cola (no los procesa)
`void` | `flush()` Fuerza el vaciado total de la cola procesando los elementos
`boolean` | `isEmpty()` Comprueba si la cola de ejecución está vacía
`java.lang.Object` | `pull()` Saca el primer elemento a procesar de la cola
`void` | `push(java.lang.Object obj)` Añade un objeto a procesar a la cola
`abstract void` | `service(java.lang.Object obj)` Método que se encarga de servir (vaciar) la cola
`void` | `setLimits(int newLowerLimit, int newUpperLimit)` Establece los límites superior e inferior de la cola
`int` | `size()` Devuelve el tamaño de la cola de objetos a procesar

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractExecQueue

    public AbstractExecQueue()

  Creates new ExecQueue

### AbstractExecQueue

    public AbstractExecQueue(int limInf,
                             int limSup)

Method Detail

### setLimits

    public void setLimits(int newLowerLimit,
                          int newUpperLimit)

  Establece los límites superior e inferior de la cola

  Parameters:
    `newLowerLimit` - limite inferior
    `newUpperLimit` - limite superior

### push

    public void push(java.lang.Object obj)

  Añade un objeto a procesar a la cola

  Parameters:
    `obj` - el objeto a procesar

### pull

    public java.lang.Object pull()

  Saca el primer elemento a procesar de la cola

  Returns:
    el primer objeto de la cola

### size

    public int size()

  Devuelve el tamaño de la cola de objetos a procesar

  Returns:
    el tamaño

### isEmpty

    public boolean isEmpty()

  Comprueba si la cola de ejecución está vacía

  Returns:
    true si está vacía

### clear

    public void clear()

  Elimina todos los elementos de la cola (no los procesa)

### flush

    public void flush()

  Fuerza el vaciado total de la cola procesando los elementos

### service

    public abstract void service(java.lang.Object obj)

  Método que se encarga de servir (vaciar) la cola

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD